Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6705,
"created_at": "2024-04-21 11:37:08",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2024-04-21 11:32:29",
"format": 1,
"frequency": "value",
"last_run_at": "2024-04-21 11:26:04",
"name": "value",
"next_run_at": "2024-04-21 11:31:45",
"report_id": 1496,
"start_at": "2024-04-21 11:32:28",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 809,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-06-03",
"end_at": "2026-06-03",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 2549,
"created_at": "2017-09-15 12:30:26",
"culture": 7,
"description": "value",
"emails": "value",
"end_at": "2017-09-15 12:24:03",
"format": 1,
"frequency": "value",
"last_run_at": "2017-09-15 12:26:16",
"name": "value",
"next_run_at": "2017-09-15 12:26:12",
"report_id": 4071,
"start_at": "2017-09-15 12:35:02",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/66 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8222,
"created_at": "2021-04-14 18:13:26",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2021-04-14 18:16:42",
"format": 0,
"frequency": "value",
"last_run_at": "2021-04-14 18:15:13",
"name": "value",
"next_run_at": "2021-04-14 18:28:20",
"report_id": 9548,
"start_at": "2021-04-14 18:23:30",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/43 HTTP/1.1
Host: l7api.com
{
"report_id": 771,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-06-03",
"end_at": "2026-06-03",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6388,
"created_at": "2025-11-06 00:30:17",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2025-11-06 00:33:53",
"format": 0,
"frequency": "value",
"last_run_at": "2025-11-06 00:36:49",
"name": "value",
"next_run_at": "2025-11-06 00:28:56",
"report_id": 4328,
"start_at": "2025-11-06 00:27:09",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/73 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5362,
"created_at": "2021-10-20 14:29:55",
"culture": 7,
"description": "value",
"emails": "value",
"end_at": "2021-10-20 14:35:14",
"format": 1,
"frequency": "value",
"last_run_at": "2021-10-20 14:42:57",
"name": "value",
"next_run_at": "2021-10-20 14:30:05",
"report_id": 6633,
"start_at": "2021-10-20 14:38:46",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}